## libgfshare 1.0.3

=== debian/changelog ===
libgfshare (1.0.3-3) unstable; urgency=low

  [ Ryan Kavanagh ]
  * Dropped README.source since it was for cdbs-edit-patch and the package is
    now using dpkg-source format 3.0 (quilt)

  [ Simon McVittie ]
  * Fix error messages on invalid arguments, based on a patch by Ryan
    Kavanagh (Closes: #588810, LP: #610233)
  * Standards-Version: 3.9.1 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Jul 2010 22:10:41 +0100

libgfshare (1.0.3-2) unstable; urgency=low

  * Migrate to collab-maint git
  * Add debian/gbp.conf for git-buildpackage users
  * Remove Dm-Upload-Allowed (no longer needed)
  * Refresh the patch using gbp-pq
  * Standards-Version: 3.8.4 (no changes needed)
  * Add a blank line at the end of NEWS.Debian for better apt-listchanges
    display

 -- Simon McVittie <smcv@debian.org>  Thu, 11 Feb 2010 22:43:57 +0000

libgfshare (1.0.3-1) unstable; urgency=low

  * New upstream release
    - remove all patches; they were applied upstream (LP: #497992)
    - error handling has been improved (Closes: #557040, LP: #497996)
    - an Ubuntu-specific patch to allow outputting secrets to stdout has been
      merged (LP: #497999)
  * Use dpkg-source format 3.0 (quilt)
  * Use debhelper 7
  * 01_theory_tex.diff: fix some syntactic issues in doc/theory.tex
  * Build and install HTML and PDF versions of theory.tex (in the -dev
    package), and register them in doc-base

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Dec 2009 19:00:21 +0000

libgfshare (1.0.2-3) unstable; urgency=medium

  * debian/patches/100[1-4]*.patch: don't produce broken share number 000 from
    gfsplit, don't allow the library to produce it either, make gfcombine
    fail more usefully if one is used, and explain how to recover
    (Closes: #556939)
  * debian/NEWS: explain how to recover from foo.000 shares
  * Build-depend on autotools-dev to get updated config.{guess,sub}, to be
    nice to avr32 porters
  * Remove duplicate Priority field from control
  * Run basic tests during the build
  * Standards-Version: 3.8.3
    - move -dbg package to debug section

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Nov 2009 00:06:42 +0000

libgfshare (1.0.2-2) unstable; urgency=low

  * debian/patches/0043-abi.patch, part of upstream bzr r43: don't export
    symbols called "exps" and "logs" (and also don't generate bits of table
    that we're not going to use)
  * Add a symbols file for libgfshare1
  * Standards-Version: 3.8.0
    - add README.source
  * Add ${misc:Depends} throughout, since we use debhelper
  * Change Vcs-Bzr to reflect that the packaging is now in collab-maint on
    Alioth (co-maintainers welcome)
  * Use my debian.org address

 -- Simon McVittie <smcv@debian.org>  Wed, 10 Dec 2008 14:59:57 +0000

libgfshare (1.0.2-1) unstable; urgency=low

  * Initial release in Debian. (Closes: #451355)
  * debian/patches/0042-allow-2of2.patch, upstream bzr r42:
    Allow degenerate case (2-of-2 share) for least astonishment
  * debian/patches/0043-devurandom.patch, part of upstream bzr r43:
    In gfsplit, use /dev/urandom rather than rand() for randomness, for
    better cryptographic safety
  * debian/patches/0044-fallback.patch, upstream bzr r44: Fall back from
    /dev/urandom to rand(), with a warning, if necessary

  * Packaged from scratch, but should be basically compatible with the
    version in Ubuntu. Changes relative to Ubuntu, for information:
    - the above patches from upstream bzr
    - does not have Soren Hansen's patch to allow gfcombine to output to
      stdout (not yet upstream)
    - better package descriptions (IMO)
    - machine-readable debian/copyright file with explicit licensing for
      packaging (the same as the source)
    - libgfshare-dev does not depend on libc6-dev, to be installable on
      alpha, ia64 etc.
    - libgfshare(5) is in libgfshare-dev rather than libgfshare1 (so the
      former Replaces: Ubuntu versions of the latter)
    - libgfshare-dev is in Section: libdevel
    - libgfshare-dbg added
    - debian/watch added

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Sun, 25 Nov 2007 15:28:27 +0000
