=== debian/control ===
Source: libgfshare
Section: devel
Priority: extra
Maintainer: Simon McVittie <smcv@debian.org>
Standards-Version: 3.9.1
Build-Depends: autotools-dev,
               debhelper (>= 7.0.50),
               dvipng,
               tex4ht,
               texlive-latex-base
Vcs-Git: git://git.debian.org/git/collab-maint/libgfshare.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libgfshare.git
Homepage: http://www.digital-scurf.org/software/libgfshare

Package: libgfshare-bin
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utilities for multi-way secret-sharing
 This package contains the gfsplit and gfcombine binaries.
 .
 gfsplit can be used to split a secret file (like a GPG secret key)
 into multiple parts, so that at least some number of those parts are needed
 to recover the original file, but any smaller combination of parts is useless
 to an attacker. gfcombine is used to combine the parts created by gfsplit.
 .
 For instance, you might split a GPG key using a 3-of-5 share and put one
 share on each of three computers, and two shares on a USB memory stick; then
 you can use the GPG key on any of those three computers using the memory
 stick, but if the memory stick is lost, you can recover the key by
 bringing the three computers together.

Package: libgfshare1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libgfshare-bin
Description: library for multi-way secret-sharing
 This library implements Shamir's method for secret sharing, which can be
 used to split a secret (like a GPG secret key) into multiple parts, so that
 at least some number of those parts are needed to recover the original file,
 but any smaller combination of parts is useless to an attacker.
 .
 For instance, you might split a GPG key using a 3-of-5 share and put one
 share on each of three computers, and two shares on a USB memory stick; then
 you can use the GPG key on any of those three computers using the memory
 stick, but if the memory stick is lost, you can recover the key by
 bringing the three computers together.

Package: libgfshare-dev
Architecture: any
Section: libdevel
Depends: libgfshare1 (= ${binary:Version}), ${misc:Depends}
Suggests: libgfshare-dbg, libgfshare-bin
Replaces: libgfshare1 (<< 1.0.2-1)
Description: library for multi-way secret-sharing (headers)
 This library implements Shamir's method for secret sharing, which can be
 used to split a secret (like a GPG secret key) into multiple parts, so that
 at least some number of those parts are needed to recover the original file,
 but any smaller combination of parts is useless to an attacker.
 .
 This package contains header files and static libraries, needed to compile
 programs that use libgfshare.

Package: libgfshare-dbg
Architecture: any
Section: debug
Depends: libgfshare1 (= ${binary:Version}), libgfshare-bin (= ${binary:Version}), ${misc:Depends}
Description: library for multi-way secret-sharing (debug symbols)
 This library implements Shamir's method for secret sharing, which can be
 used to split a secret (like a GPG secret key) into multiple parts, so that
 at least some number of those parts are needed to recover the original file,
 but any smaller combination of parts is useless to an attacker.
 .
 This package contains support for debugging programs that use libgfshare.
