=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $*

override_dh_clean:
	dh_clean
	rm -rf pdf html

override_dh_auto_build:
	dh_auto_build
	install -d pdf html
	cd pdf && pdflatex ../doc/theory.tex
	cd html && htlatex ../doc/theory.tex

override_dh_strip:
	dh_strip --dbg-package=libgfshare-dbg

override_dh_auto_install:
	dh_auto_install
	rm -f debian/tmp/usr/lib/*.la

override_dh_install:
	dh_install --list-missing

override_dh_makeshlibs:
	dh_makeshlibs --version-info="libgfshare1 (>= 1.0.2)"

override_dh_installdocs:
	dh_installdocs --link-doc=libgfshare1 -Nlibgfshare-bin
	dh_installdocs -plibgfshare-bin
