## libgfshare 1.0.5

=== debian/changelog ===
libgfshare (1.0.5-3) unstable; urgency=medium

  * Use dh_autoreconf for better new-architecture coverage (Closes: #727919)
  * Standards-Version: 3.9.5 (no changes needed)
  * Canonicalize Vcs-Git, Vcs-Browser

 -- Simon McVittie <smcv@debian.org>  Sun, 09 Mar 2014 12:22:09 +0000

libgfshare (1.0.5-2) unstable; urgency=low

  * Build-depend on texlive-latex-recommended, since url.sty seems to have
    moved there (Closes: #666324)
  * Standards-Version: 3.9.3
    - redo copyright file using copyright-format 1.0
  * debhelper compat level 9
    - no need to select a multiarch ${libdir} explicitly
  * Use default.mk from dpkg-dev >= 1.16.1

 -- Simon McVittie <smcv@debian.org>  Sat, 31 Mar 2012 22:15:55 +0100

libgfshare (1.0.5-1) unstable; urgency=low

  * New upstream version
    - drop patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 09 Jun 2011 09:42:27 +0100

libgfshare (1.0.3-4) unstable; urgency=low

  * Install to multiarch paths
  * Set the shared library package to be Multi-Arch: same
  * Standards-Version: 3.9.2 (no changes)

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Jun 2011 21:12:07 +0100
