=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: devel
 Priority: extra
 Maintainer: Simon McVittie <smcv@debian.org>
-Standards-Version: 3.9.1
-Build-Depends: autotools-dev,
-               debhelper (>= 7.0.50),
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               dpkg-dev (>= 1.16.1),
                dvipng,
                tex4ht,
-               texlive-latex-base
-Vcs-Git: git://git.debian.org/git/collab-maint/libgfshare.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/libgfshare.git
+               texlive-latex-base,
+               texlive-latex-recommended
+Vcs-Git: git://anonscm.debian.org/collab-maint/libgfshare.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libgfshare.git
 Homepage: http://www.digital-scurf.org/software/libgfshare
 
 Package: libgfshare-bin
@@ -31,8 +33,10 @@
  bringing the three computers together.
 
 Package: libgfshare1
+Multi-Arch: same
 Architecture: any
 Section: libs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libgfshare-bin
 Description: library for multi-way secret-sharing
