=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/default.mk
+
 %:
-	dh $*
+	dh $* --with=autoreconf
 
 override_dh_clean:
 	dh_clean
@@ -18,7 +20,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	rm -f debian/tmp/usr/lib/*.la
+	rm -f debian/tmp/usr/lib/*/*.la
 
 override_dh_install:
 	dh_install --list-missing
