## libgfshare 2.0.0

=== debian/changelog ===
libgfshare (2.0.0-8) unstable; urgency=medium

  * d/salsa-ci.yml: Use recommended recipe
  * Mark libgfshare-dev as Multi-Arch: same
  * d/control: Update Standards-Version to 4.7.2 (no changes required)
  * Use dpkg-build-api v1
  * d/watch: Convert to uscan format v5
  * Normalize formatting using debputy reformat
  * d/tests: Use pkgconf instead of pkg-config

 -- Simon McVittie <smcv@debian.org>  Tue, 28 Oct 2025 23:36:05 +0000

libgfshare (2.0.0-7) unstable; urgency=medium

  * Update Homepage and Repository to point to Github
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Nov 2024 09:21:53 +0000

libgfshare (2.0.0-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove versioned build-dependency on build-essential package
    dpkg-dev, unnecessary since Debian 10

  [ Simon McVittie ]
  * Set field Upstream-Name in debian/copyright
  * Update standards version to 4.6.2 (no changes needed)
  * d/rules: Make the build fail if installed files are not used
  * d/control: Use recommended debhelper compat level 13

 -- Simon McVittie <smcv@debian.org>  Wed, 18 Jan 2023 12:08:27 +0000

libgfshare (2.0.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Simon McVittie ]
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * d/rules: Remove migration path from libgfshare-dbg, which was not
    in stretch or buster
  * Declare Debian Policy 4.5.1 compliance
  * d/tests: Make scripts shellcheck-clean
  * d/tests: Make scripts fail on unset variables
  * d/tests: Use correct compiler for proposed autopkgtest
    cross-architecture testing support
  * Move to debhelper-compat 12
    - Drop override for dh_makeshlibs -V, which is now the default
  * d/copyright: Remove redundant glob pattern
  * d/upstream/metadata: Add
  * d/gbp.conf: Set development branch to debian/latest
  * d/watch: Move to version 4, and use https

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Dec 2020 13:13:19 +0000

libgfshare (2.0.0-4) unstable; urgency=medium

  [ Simon McVittie ]
  * Move packaging to salsa.debian.org
  * Change Homepage and Source to gitano since the original website has
    gone away
  * Declare Debian Policy 4.1.3 compliance

  [ Chris Lamb ]
  * Add support for nodoc build profile (Closes: #872739)
  * Build with all available compiler hardening (Closes: #872740)

 -- Simon McVittie <smcv@debian.org>  Sat, 27 Jan 2018 21:53:35 +0000

libgfshare (2.0.0-3) unstable; urgency=medium

  * Use https URL for Format of debian/copyright
  * Change packages' priority from extra to optional
  * Declare Debian Policy 4.1.2 compliance
  * Upgrade to debhelper 11 compat level
    - Do not enable or build-depend on dh-autoreconf, it is now the
      default
    - Use dh_missing --fail-missing instead of deprecated
      dh_install --list-missing
  * Set Rules-Requires-Root: no

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Dec 2017 17:25:47 +0000

libgfshare (2.0.0-2) unstable; urgency=medium

  * Switch Vcs-Git to https (see #810378)
  * Standards-Version: 3.9.8 (no changes needed)
  * Normalize packaging via wrap-and-sort -abst
  * Use DEP-14 branch names debian/master, upstream/latest
  * Use faketime to produce reproducible documentation
  * Switch to automatic dbgsym packages

 -- Simon McVittie <smcv@debian.org>  Fri, 09 Sep 2016 10:17:48 +0100

libgfshare (2.0.0-1) unstable; urgency=medium

  * New upstream release
    - incompatible change: library users must assign something to
      gfshare_fill_rand
    - new SONAME
    - no transition is needed, because nothing else in Debian depends on it
  * Vcs-Git: use cgit and https
  * gbp.conf: use non-numbered patches
  * gbp.conf: do not configure tarball or export directory, those are
    more appropriate for ~/.gbp.conf
  * Add some simple autopkgtest tests
  * Make libgfshare-dbg Multi-Arch: same
  * Standards-Version: 3.9.6 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Sep 2015 12:42:26 +0100
