=== debian/tests/control ===
Tests:
 gfsplit-gfcombine,
Depends:
 libgfshare-bin,
Restrictions:
 allow-stderr,

Tests:
 blockwise-simple,
Depends:
 build-essential,
 libgfshare-dev,
 pkgconf,
Restrictions:
 allow-stderr,
