=== debian/watch ===
Version: 5

Source: https://www.digital-scurf.org/files/libgfshare/
Matching-Pattern: libgfshare-(.*).tar.gz
